summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Matteo Bernardini <ponce@slackbuilds.org>2012-09-10 07:44:00 +0200
committer Robby Workman <rworkman@slackbuilds.org>2012-09-10 16:35:35 -0500
commit6179f15efd78eab46b92d255248c3c75d783940e (patch)
treeca830104658ed62ec83c8690806a8c98e6c584be /libraries
parentc8d8154eab85d966a08fde2c6dfcc949451318f5 (diff)
downloadslackbuilds-6179f15efd78eab46b92d255248c3c75d783940e.tar.gz
slackbuilds-6179f15efd78eab46b92d255248c3c75d783940e.tar.xz
libraries/lua-filesystem: Renamed from luafilesystem.
Also added a pkconfig file and a couple of links. Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/lua-filesystem/README (renamed from libraries/luafilesystem/README)2
-rw-r--r--libraries/lua-filesystem/lfs.pc10
-rw-r--r--libraries/lua-filesystem/lua-filesystem.SlackBuild96
-rw-r--r--libraries/lua-filesystem/lua-filesystem.info (renamed from libraries/luafilesystem/luafilesystem.info)2
-rw-r--r--libraries/lua-filesystem/slack-desc19
-rw-r--r--libraries/luafilesystem/luafilesystem.SlackBuild73
-rw-r--r--libraries/luafilesystem/slack-desc19
7 files changed, 127 insertions, 94 deletions
diff --git a/libraries/luafilesystem/README b/libraries/lua-filesystem/README
index f7c51ee8f5..d8a3ea388d 100644
--- a/libraries/luafilesystem/README
+++ b/libraries/lua-filesystem/README
@@ -1,4 +1,4 @@
-luafilesystem (lua filesystem library)
+lua-filesystem (lua filesystem library)
LuaFileSystem is a Lua library developed to complement the set
of functions related to filesystems offered by the standard
diff --git a/libraries/lua-filesystem/lfs.pc b/libraries/lua-filesystem/lfs.pc
new file mode 100644
index 0000000000..7cea70e8c2
--- /dev/null
+++ b/libraries/lua-filesystem/lfs.pc
@@ -0,0 +1,10 @@
+prefix=/usr
+exec_prefix=${prefix}
+includedir=${prefix}/include
+libdir=${exec_prefix}/lib/lua/5.1
+
+Name: lfs
+Description: lfs - lua filesystem library
+Version: 1.5.0
+Cflags: -I${includedir}
+Libs: -L${libdir} -L/usr/lib -llfs -llua -lm
diff --git a/libraries/lua-filesystem/lua-filesystem.SlackBuild b/libraries/lua-filesystem/lua-filesystem.SlackBuild
new file mode 100644
index 0000000000..f06a648767
--- /dev/null
+++ b/libraries/lua-filesystem/lua-filesystem.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for lua-filesystem
+# Copyright Matteo Bernardini <ponce@slackbuilds.org>, Pisa, Italy, 2012
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=lua-filesystem
+SRCNAM=luafilesystem
+VERSION=${VERSION:-20120408_84f1af5}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z*
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+sed -i \
+ -e "s|/usr/local|/usr|" \
+ -e "s|/lib|/lib${LIBDIRSUFFIX}|" \
+ -e "s|-O2 -Wall -fPIC|${SLKCFLAGS} -Wall|" \
+ config
+make
+install -m 0755 -D src/lfs.so $PKG/usr/lib${LIBDIRSUFFIX}/lua/5.1/lfs.so
+( cd $PKG/usr/lib${LIBDIRSUFFIX} ; ln -s lua/5.1/lfs.so ; ln -s {,lib}lfs.so )
+install -m 0644 -D src/lfs.h $PKG/usr/include/lfs.h
+install -m 0644 -D $CWD/lfs.pc $PKG/usr/lib$LIBDIRSUFFIX/pkgconfig/lfs.pc
+sed -i "s|/lib|/lib$LIBDIRSUFFIX|" $PKG/usr/lib$LIBDIRSUFFIX/pkgconfig/lfs.pc
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/us/* $PKG/usr/doc/$PRGNAM-$VERSION/html/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/luafilesystem/luafilesystem.info b/libraries/lua-filesystem/lua-filesystem.info
index 8bf349f63f..84b1ce27c3 100644
--- a/libraries/luafilesystem/luafilesystem.info
+++ b/libraries/lua-filesystem/lua-filesystem.info
@@ -1,4 +1,4 @@
-PRGNAM="luafilesystem"
+PRGNAM="lua-filesystem"
VERSION="20120408_84f1af5"
HOMEPAGE="http://keplerproject.github.com/luafilesystem/"
DOWNLOAD="http://ponce.cc/slackware/sources/repo/luafilesystem-20120408_84f1af5.tar.xz"
diff --git a/libraries/lua-filesystem/slack-desc b/libraries/lua-filesystem/slack-desc
new file mode 100644
index 0000000000..7db6632258
--- /dev/null
+++ b/libraries/lua-filesystem/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+lua-filesystem: lua-filesystem (lua filesystem library)
+lua-filesystem:
+lua-filesystem: LuaFileSystem is a Lua library developed to complement the set
+lua-filesystem: of functions related to filesystems offered by the standard
+lua-filesystem: Lua distribution.
+lua-filesystem: LuaFileSystem offers a portable way to access the underlying
+lua-filesystem: directory structure and file attributes.
+lua-filesystem:
+lua-filesystem: homepage: http://keplerproject.github.com/luafilesystem/
+lua-filesystem:
+lua-filesystem:
diff --git a/libraries/luafilesystem/luafilesystem.SlackBuild b/libraries/luafilesystem/luafilesystem.SlackBuild
deleted file mode 100644
index fa5cceb2c4..0000000000
--- a/libraries/luafilesystem/luafilesystem.SlackBuild
+++ /dev/null
@@ -1,73 +0,0 @@
-#!/bin/sh
-
-# Slackware build script for luafilesystem
-# Written by Matteo Bernardini <ponce@slackbuilds.org>
-
-PRGNAM=luafilesystem
-VERSION=${VERSION:-20120408_84f1af5}
-BUILD=${BUILD:-1}
-TAG=${TAG:-_SBo}
-
-if [ -z "$ARCH" ]; then
- case "$( uname -m )" in
- i?86) ARCH=i486 ;;
- arm*) ARCH=arm ;;
- *) ARCH=$( uname -m ) ;;
- esac
-fi
-
-CWD=$(pwd)
-TMP=${TMP:-/tmp/SBo}
-PKG=$TMP/package-$PRGNAM
-OUTPUT=${OUTPUT:-/tmp}
-
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
-else
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
-fi
-
-set -e # Exit on most errors
-
-rm -rf $PKG
-mkdir -p $TMP $PKG $OUTPUT
-cd $TMP
-rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
-cd $PRGNAM-$VERSION
-chown -R root:root .
-find . \
- \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
-
-sed -i \
- -e "s|/usr/local|/usr|" \
- -e "s|/lib|/lib${LIBDIRSUFFIX}|" \
- -e "s|-O2|${CFLAGS}|" \
- config
-make
-install -m 0755 -D src/lfs.so $PKG/usr/lib${LIBDIRSUFFIX}/lua/5.1/lfs.so
-
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html
-cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a doc/us/* $PKG/usr/doc/$PRGNAM-$VERSION/html/
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-
-mkdir -p $PKG/install
-cat $CWD/slack-desc > $PKG/install/slack-desc
-
-cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/luafilesystem/slack-desc b/libraries/luafilesystem/slack-desc
deleted file mode 100644
index cac20c6d8b..0000000000
--- a/libraries/luafilesystem/slack-desc
+++ /dev/null
@@ -1,19 +0,0 @@
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':' except on otherwise blank lines.
-
- |-----handy-ruler------------------------------------------------------|
-luafilesystem: luafilesystem (lua filesystem library)
-luafilesystem:
-luafilesystem: LuaFileSystem is a Lua library developed to complement the set
-luafilesystem: of functions related to filesystems offered by the standard
-luafilesystem: Lua distribution.
-luafilesystem: LuaFileSystem offers a portable way to access the underlying
-luafilesystem: directory structure and file attributes.
-luafilesystem:
-luafilesystem: homepage: http://keplerproject.github.com/luafilesystem/
-luafilesystem:
-luafilesystem: